import { _decorator, Component, instantiate, Node, Prefab, UIOpacity } from 'cc';
import { ui } from './ui';
const { ccclass, property } = _decorator;

@ccclass('app')
export class app extends Component {
    private _tempNode: Node;

    @property(Prefab)
    uiprefab: Prefab;

    start() {

    }

    update(deltaTime: number) {

    }

    open() {
        if (this._tempNode) {
            this.node.addChild(this._tempNode);
            return;
        }
        this._tempNode = instantiate(this.uiprefab);
        this.node.addChild(this._tempNode);
    }

    close() {
        this._tempNode?.getComponent(ui)?.close();
    }
}


